Name:		tpm-extra
Version:	4.0.1
Release:	1%{?dist}
Summary:	Command line tool for TPM PCR Extend operation

Group:		System
License:	GPL
URL:		https://www.qubes-os.org/

Source0:	%{name}-%{version}.tar.gz

BuildRequires:	gcc
BuildRequires:	trousers-devel
Requires:	trousers systemd >= 231

%description
Additional tools not included in tpm-tools package.

%prep
%setup -q

%build
%set_build_flags
gcc tpm_pcr_extend.c $CFLAGS -ltspi -o sbin/tpm_pcr_extend

%install
mkdir $RPM_BUILD_ROOT/usr
cp -r sbin $RPM_BUILD_ROOT/usr

%files
/usr/sbin/tpm_pcr_extend
/usr/sbin/tpm_z_srk
/usr/sbin/tpm_nvread_stdout
/usr/sbin/tpm_nvwrite_stdin
/usr/sbin/notty

%changelog
* Thu Dec 26 2019 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-tpm-extra.git

* Thu Dec 26 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 31aa6fc
- rpm: Add BR: gcc

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1b8b93d
- travis: switch to bionic

* Tue Jul 30 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1816af0
- travis: switch to xenial and Qubes R4.1

* Tue Jul 30 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7c47984
- Create .spec.in and handle debug

* Tue Jul 30 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0c8ccaf
- Initial commit from qubes-antievilmaid repo

